Subject: bug#10735: chmod +x

From: [email-masked]
Date: Fri, 10 Feb 2012 11:42:36 +0100 (CET)

----- Oorspronkelijk e-mail -----
> On 02/07/2012 02:30 PM, Paul Eggert wrote:
> > On 02/07/2012 07:59 AM, [email-masked] wrote:
> >> I was wondering wether I couldn't write something like
> >>
> >> if [not on NTFS filesystem] then
> >>   chmod +x
> > 
> > No doubt you can write something like that.
> > I don't use NTFS, so I'm not a good source of advice
> > about the details.
> 
> And if you listen to the advice from autoconf, it would be better to
> do
> things like:
> 
> probe whether chmod +x 2>/dev/null makes a difference on a dummy file
> based on that probe, control whether to skip all other chmod +x
> 
> by rewriting things as a feature-based probe (does chmod +x work or
> spit
> out noise), rather than a name-based probe (am I on NTFS), your
> script
> will be more portable to other file systems that share NTFS
> shortcomings, as well as automatically start using chmod +x if the
> kernel folks later figure out a way to make NTFS fake chmod +x in a
> reasonable manner.

This is an very usefull hint.
Do you perhaps have a snippet of bash code for it?

Best regards,

Francky

> --
> Eric Blake   [email-masked]    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
> 
>